Show / Hide Table of Contents

# Delegate ServiceHost.InitializeCallback

Delegate definition for the host initialization event

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task InitializeCallback(InitializeRequest startupParams, RequestContext<InitializeResult> requestContext);

##### Parameters

Type | Name | Description
--- | --- | ---
InitializeRequest | startupParams |
RequestContext<InitializeResult> | requestContext |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |